Bug 154282 - [CSS Box Alignment] New CSS Value 'normal' for Content Alignment
Summary: [CSS Box Alignment] New CSS Value 'normal' for Content Alignment
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Javier Fernandez
URL:
Keywords:
Depends on:
Blocks: 60731 91512 133222 133224
  Show dependency treegraph
 
Reported: 2016-02-16 02:29 PST by Javier Fernandez
Modified: 2016-04-08 01:27 PDT (History)
15 users (show)

See Also:


Attachments
Patch (152.22 KB, patch)
2016-02-26 10:10 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-yosemite (787.62 KB, application/zip)
2016-02-26 11:07 PST, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-yosemite-wk2 (813.97 KB, application/zip)
2016-02-26 11:11 PST, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-yosemite (842.62 KB, application/zip)
2016-02-26 11:16 PST, Build Bot
no flags Details
Patch (153.32 KB, patch)
2016-02-27 04:56 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff
Patch (134.87 KB, patch)
2016-04-05 15:45 PDT, Javier Fernandez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Javier Fernandez 2016-02-16 02:29:08 PST
The Box Alignment specification defines a new value 'normal' to be used as default for the different layout models, which will define the specific behavior for each case.
Comment 1 Javier Fernandez 2016-02-26 10:10:17 PST
Created attachment 272333 [details]
Patch
Comment 2 Build Bot 2016-02-26 11:07:32 PST
Comment on attachment 272333 [details]
Patch

Attachment 272333 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/886761

New failing tests:
svg/css/getComputedStyle-basic.xhtml
Comment 3 Build Bot 2016-02-26 11:07:37 PST
Created attachment 272344 [details]
Archive of layout-test-results from ews103 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 4 Build Bot 2016-02-26 11:11:41 PST
Comment on attachment 272333 [details]
Patch

Attachment 272333 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/886764

New failing tests:
svg/css/getComputedStyle-basic.xhtml
Comment 5 Build Bot 2016-02-26 11:11:45 PST
Created attachment 272346 [details]
Archive of layout-test-results from ews104 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 6 Build Bot 2016-02-26 11:16:16 PST
Comment on attachment 272333 [details]
Patch

Attachment 272333 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/886762

New failing tests:
svg/css/getComputedStyle-basic.xhtml
Comment 7 Build Bot 2016-02-26 11:16:20 PST
Created attachment 272349 [details]
Archive of layout-test-results from ews117 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 8 Javier Fernandez 2016-02-27 04:56:42 PST
Created attachment 272414 [details]
Patch
Comment 9 Dave Hyatt 2016-02-29 14:41:36 PST
Comment on attachment 272414 [details]
Patch

r=me
Comment 10 WebKit Commit Bot 2016-03-03 03:05:25 PST
Comment on attachment 272414 [details]
Patch

Clearing flags on attachment: 272414

Committed r197503: <http://trac.webkit.org/changeset/197503>
Comment 11 WebKit Commit Bot 2016-03-03 03:05:33 PST
All reviewed patches have been landed.  Closing bug.
Comment 12 Csaba Osztrogonác 2016-03-03 08:22:40 PST
(In reply to comment #10)
> Comment on attachment 272414 [details]
> Patch
> 
> Clearing flags on attachment: 272414
> 
> Committed r197503: <http://trac.webkit.org/changeset/197503>

It broke the Windows build as the EWS noticed.
Comment 13 Alexey Proskuryakov 2016-03-03 09:29:18 PST
c:\cygwin\home\buildbot\slave\win-release\build\source\webcore\rendering\RenderGrid.cpp(1358): error C2084: function 'const WebCore::StyleContentAlignmentData &WebCore::normalValueBehavior(void)' already has a body (compiling source file C:\cygwin\home\buildbot\slave\win-release\build\Source\WebCore\rendering\RenderingAllInOne.cpp) [C:\cygwin\home\buildbot\slave\win-release\build\WebKitBuild\Release\Source\WebCore\WebCore.vcxproj]
Comment 14 Darin Adler 2016-03-03 09:36:25 PST
Comment on attachment 272414 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=272414&action=review

> Source/WebCore/rendering/RenderFlexibleBox.cpp:1095
> +static const StyleContentAlignmentData& normalValueBehavior()

Having two different functions with the same name private to two different files is not compatible with all-in-one compiling, which we do on Windows. Just need the name to include “FlexibleBox”.

> Source/WebCore/rendering/RenderGrid.cpp:1357
> +static const StyleContentAlignmentData& normalValueBehavior()

Having two different functions with the same name private to two different files is not compatible with all-in-one compiling, which we do on Windows. Just need the name to include “Grid”.
Comment 15 Alexey Proskuryakov 2016-03-03 09:41:22 PST
Landed the build fix (untested) in https://trac.webkit.org/r197509
Comment 16 Javier Fernandez 2016-04-05 15:45:08 PDT
Reopening to attach new patch.
Comment 17 Javier Fernandez 2016-04-05 15:45:15 PDT
Created attachment 275704 [details]
Patch
Comment 18 Darin Adler 2016-04-08 00:17:35 PDT
Comment on attachment 275704 [details]
Patch

Builds and tests failing on EWS. Will review once we have a patch that compiles and the tests pass.
Comment 19 Javier Fernandez 2016-04-08 01:18:41 PDT
Comment on attachment 275704 [details]
Patch

This patch was not intended to this bug, sorry for the noise.
Comment 20 Javier Fernandez 2016-04-08 01:19:51 PDT
Comment on attachment 272333 [details]
Patch

This is the patch that finally landed.
Comment 21 Javier Fernandez 2016-04-08 01:21:44 PDT
Closing the bug as FIXED, since per comment #15, the fix for the win build has landed as well.
Comment 22 Javier Fernandez 2016-04-08 01:26:49 PDT
Comment on attachment 272333 [details]
Patch

Wrong patch, this was not the one finally landed.
Comment 23 Javier Fernandez 2016-04-08 01:27:17 PDT
Comment on attachment 272414 [details]
Patch

This was the patch finally landed.